// TODO: define globals
uniform float time;
varying vec4 color_out;

void main()
{
	// TODO: local variables
	float red;
  	float green;
  	float blue;
  	float scale;
  	vec3 my_scale;
  	vec4 my_color;
 
	// TODO: Compute scale and color values
	scale = 1.0 + 0.5*sin(time);
	red = 1.0 + 0.5*sin(time);
	green = 1.0 + 0.5*cos(time);
	blue = 1.0 + 0.5*sin(time)*cos(time);

	// TODO: Set scale values
	my_scale = scale*vec3(1.0,1.0,1.0);
	
	// Alternate forms
	//my_scale = vec3(scale,scale,scale);
	//my_scale[0] = scale;
	//my_scale[1] = scale;
	//my_scale[2] = scale;

	// TODO: Set color values
	my_color = vec4(red, green, blue, 1.0);
	
	// Alternate form
	//my_color.r = red;
	//my_color.g = green;
	//my_color.b = blue;
	//my_color.a = 1.0;
	
	// TODO: Compute scaled vertex coordinates
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_Position.xyz = my_scale * gl_Position.xyz;

	// TODO: Compute vertex color
	color_out = my_color * gl_Color;
}
